"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteElasticsearchServiceRole_1 = require("../model/operations/DeleteElasticsearchServiceRole");
var DeleteElasticsearchServiceRoleCommand = /** @class */ (function () {
    function DeleteElasticsearchServiceRoleCommand(input) {
        this.input = input;
        this.model = DeleteElasticsearchServiceRole_1.DeleteElasticsearchServiceRole;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteElasticsearchServiceRoleCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteElasticsearchServiceRoleCommand;
}());
exports.DeleteElasticsearchServiceRoleCommand = DeleteElasticsearchServiceRoleCommand;
//# sourceMappingURL=DeleteElasticsearchServiceRoleCommand.js.map