"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var PurchaseReservedElasticsearchInstanceOffering_1 = require("../model/operations/PurchaseReservedElasticsearchInstanceOffering");
var PurchaseReservedElasticsearchInstanceOfferingCommand = /** @class */ (function () {
    function PurchaseReservedElasticsearchInstanceOfferingCommand(input) {
        this.input = input;
        this.model = PurchaseReservedElasticsearchInstanceOffering_1.PurchaseReservedElasticsearchInstanceOffering;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    PurchaseReservedElasticsearchInstanceOfferingCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return PurchaseReservedElasticsearchInstanceOfferingCommand;
}());
exports.PurchaseReservedElasticsearchInstanceOfferingCommand = PurchaseReservedElasticsearchInstanceOfferingCommand;
//# sourceMappingURL=PurchaseReservedElasticsearchInstanceOfferingCommand.js.map