"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var StartElasticsearchServiceSoftwareUpdate_1 = require("../model/operations/StartElasticsearchServiceSoftwareUpdate");
var StartElasticsearchServiceSoftwareUpdateCommand = /** @class */ (function () {
    function StartElasticsearchServiceSoftwareUpdateCommand(input) {
        this.input = input;
        this.model = StartElasticsearchServiceSoftwareUpdate_1.StartElasticsearchServiceSoftwareUpdate;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    StartElasticsearchServiceSoftwareUpdateCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return StartElasticsearchServiceSoftwareUpdateCommand;
}());
exports.StartElasticsearchServiceSoftwareUpdateCommand = StartElasticsearchServiceSoftwareUpdateCommand;
//# sourceMappingURL=StartElasticsearchServiceSoftwareUpdateCommand.js.map