"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CancelElasticsearchServiceSoftwareUpdateInput_1 = require("../shapes/CancelElasticsearchServiceSoftwareUpdateInput");
var CancelElasticsearchServiceSoftwareUpdateOutput_1 = require("../shapes/CancelElasticsearchServiceSoftwareUpdateOutput");
var BaseException_1 = require("../shapes/BaseException");
var InternalException_1 = require("../shapes/InternalException");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var ValidationException_1 = require("../shapes/ValidationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CancelElasticsearchServiceSoftwareUpdate = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CancelElasticsearchServiceSoftwareUpdate",
    http: {
        method: "POST",
        requestUri: "/2015-01-01/es/serviceSoftwareUpdate/cancel"
    },
    input: {
        shape: CancelElasticsearchServiceSoftwareUpdateInput_1.CancelElasticsearchServiceSoftwareUpdateInput
    },
    output: {
        shape: CancelElasticsearchServiceSoftwareUpdateOutput_1.CancelElasticsearchServiceSoftwareUpdateOutput
    },
    errors: [
        {
            shape: BaseException_1.BaseException
        },
        {
            shape: InternalException_1.InternalException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: ValidationException_1.ValidationException
        }
    ]
};
//# sourceMappingURL=CancelElasticsearchServiceSoftwareUpdate.js.map