"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CancelElasticsearchServiceSoftwareUpdate_1 = require("../model/operations/CancelElasticsearchServiceSoftwareUpdate");
var CancelElasticsearchServiceSoftwareUpdateCommand = /** @class */ (function () {
    function CancelElasticsearchServiceSoftwareUpdateCommand(input) {
        this.input = input;
        this.model = CancelElasticsearchServiceSoftwareUpdate_1.CancelElasticsearchServiceSoftwareUpdate;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CancelElasticsearchServiceSoftwareUpdateCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CancelElasticsearchServiceSoftwareUpdateCommand;
}());
exports.CancelElasticsearchServiceSoftwareUpdateCommand = CancelElasticsearchServiceSoftwareUpdateCommand;
//# sourceMappingURL=CancelElasticsearchServiceSoftwareUpdateCommand.js.map