import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteElasticsearchServiceRoleInput } from "../types/DeleteElasticsearchServiceRoleInput";
import { DeleteElasticsearchServiceRoleOutput } from "../types/DeleteElasticsearchServiceRoleOutput";
import { ElasticsearchServiceResolvedConfiguration } from "../ElasticsearchServiceConfiguration";
export * from "../types/DeleteElasticsearchServiceRoleInput";
export * from "../types/DeleteElasticsearchServiceRoleOutput";
export * from "../types/DeleteElasticsearchServiceRoleExceptionsUnion";
export declare class DeleteElasticsearchServiceRoleCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteElasticsearchServiceRoleInput, OutputTypesUnion, DeleteElasticsearchServiceRoleOutput, ElasticsearchServiceResolvedConfiguration, Blob> {
    readonly input: DeleteElasticsearchServiceRoleInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteElasticsearchServiceRoleInput, DeleteElasticsearchServiceRoleOutput, Blob>;
    constructor(input: DeleteElasticsearchServiceRoleInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ElasticsearchServiceResolvedConfiguration): __aws_sdk_types.Handler<DeleteElasticsearchServiceRoleInput, DeleteElasticsearchServiceRoleOutput>;
}
