import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListElasticsearchInstanceTypesInput } from "../types/ListElasticsearchInstanceTypesInput";
import { ListElasticsearchInstanceTypesOutput } from "../types/ListElasticsearchInstanceTypesOutput";
import { ElasticsearchServiceResolvedConfiguration } from "../ElasticsearchServiceConfiguration";
export * from "../types/ListElasticsearchInstanceTypesInput";
export * from "../types/ListElasticsearchInstanceTypesOutput";
export * from "../types/ListElasticsearchInstanceTypesExceptionsUnion";
export declare class ListElasticsearchInstanceTypesCommand implements __aws_sdk_types.Command<InputTypesUnion, ListElasticsearchInstanceTypesInput, OutputTypesUnion, ListElasticsearchInstanceTypesOutput, ElasticsearchServiceResolvedConfiguration, Blob> {
    readonly input: ListElasticsearchInstanceTypesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListElasticsearchInstanceTypesInput, ListElasticsearchInstanceTypesOutput, Blob>;
    constructor(input: ListElasticsearchInstanceTypesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: ElasticsearchServiceResolvedConfiguration): __aws_sdk_types.Handler<ListElasticsearchInstanceTypesInput, ListElasticsearchInstanceTypesOutput>;
}
